import * as sinon from "sinon";
declare function setSize(w: number, h: number): void;
declare function getSize(): {
    width: number;
    height: number;
};
/**
 * Helper function to return options required for stub when mocking the WebGLRenderer
 * @param sandbox - The sinon sandbox
 * @param clearColorStub - The stub for clearing the color
 */
export declare function getWebGLRendererStub(sandbox: sinon.SinonSandbox, clearColorStub: sinon.SinonStub): {
    getClearColor: (target: THREE.Color) => undefined;
    setClearColor: sinon.SinonStub<any[], any>;
    setSize: typeof setSize;
    getSize: typeof getSize;
    getPixelRatio: () => undefined;
    setPixelRatio: () => undefined;
    clear: () => undefined;
    render: () => undefined;
    dispose: () => undefined;
    forceContextLoss: () => undefined;
    info: {
        autoReset: boolean;
        reset: () => undefined;
    };
    debug: {
        checkShaderErrors: boolean;
    };
    capabilities: {
        isWebGL2: boolean;
    };
    setOpaqueSort: (a: any, b: any) => undefined;
    domElement: {
        addEventListener: () => void;
        removeEventListener: () => void;
    };
};
export {};
//# sourceMappingURL=WebGLStub.d.ts.map