"use strict";
/*
 * Copyright (C) 2019-2021 HERE Europe B.V.
 * Licensed under Apache 2.0, see full license in LICENSE
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebGLRendererStub = void 0;
const size = { width: 0, height: 0 };
function setSize(w, h) {
    size.width = w;
    size.height = h;
}
function getSize() {
    return size;
}
/**
 * Helper function to return options required for stub when mocking the WebGLRenderer
 * @param sandbox - The sinon sandbox
 * @param clearColorStub - The stub for clearing the color
 */
function getWebGLRendererStub(sandbox, clearColorStub) {
    return {
        getClearColor: (target) => undefined,
        setClearColor: clearColorStub,
        setSize,
        getSize,
        getPixelRatio: () => undefined,
        setPixelRatio: () => undefined,
        clear: () => undefined,
        render: () => undefined,
        dispose: () => undefined,
        forceContextLoss: () => undefined,
        info: { autoReset: true, reset: () => undefined },
        debug: { checkShaderErrors: true },
        capabilities: { isWebGL2: false },
        setOpaqueSort: (a, b) => undefined,
        domElement: {
            addEventListener: () => { },
            removeEventListener: () => { }
        }
    };
}
exports.getWebGLRendererStub = getWebGLRendererStub;
//# sourceMappingURL=WebGLStub.js.map