import { TestOptions } from "./RenderingTestHelper";
/**
 * Create a HTML <img> element from either `ImageData`, `ImageBitmap` or just source URL.
 */
export declare function createImgElement(data: ImageData | ImageBitmap | string): HTMLImageElement;
/**
 * Captures raw image from canvas with fallback for 'webgl' canvases, for which '2d' context cannot
 * be obtained as they have `webgl` context already attached.
 *
 * Note, on MS Edge it requires this polyfill: https://github.com/blueimp/JavaScript-Canvas-to-Blob
 */
export declare function canvasToImageData(canvas: HTMLCanvasElement): Promise<ImageData>;
/**
 * Returns image which can be used in another canvas or html element.
 */
export declare function imageDataToDataUrl(image: ImageData): string;
/**
 * Load image from URL as `ImageData` so it can be easily compared by image comparision libraries.
 */
export declare function loadImageData(url: string): Promise<ImageData>;
/**
 * Compare two images with specified threshold and returns json with comparison result.
 */
export declare function compareImages(actualImage: ImageData, referenceImage: ImageData, options: TestOptions): {
    mismatchedPixels: any;
    diffImage: ImageData;
};
export declare function waitImageLoaded(img: HTMLImageElement): Promise<void>;
export declare function imageDataFromImage(img: HTMLImageElement): Promise<ImageData>;
//# sourceMappingURL=DomImageUtils.d.ts.map