export interface ImageComparisonResult {
    mismatchedPixels: number;
    diffImage: ImageData;
}
export interface TestImageProps {
    [prop: string]: string;
}
export interface Reporter {
    reportImageComparisonResult(imageProps: TestImageProps, actualImage: ImageData, passed: boolean, referenceImage?: ImageData, comparisonResult?: ImageComparisonResult): void;
}
export interface ReferenceImageRepo {
    storeReferenceCandidate(imageProps: TestImageProps, actualImage: ImageData): Promise<void>;
    getReferenceImageUrl(imageProps: TestImageProps): string;
}
/**
 * Image test result transferable using Web API.
 *
 * Images are referenced by URIs.
 */
export interface ImageTestResultRequest {
    imageProps: TestImageProps;
    actualImage: string;
    passed: boolean;
    comparisonResult?: {
        mismatchedPixels: number;
        diffImage: string;
    };
    approveDifference?: boolean;
}
/**
 * Image test result in local context.
 *
 * Images are referenced by local filesystem paths.
 */
export interface ImageTestResultLocal {
    imageProps: TestImageProps;
    passed: boolean;
    actualImagePath?: string;
    diffImagePath?: string;
    mismatchedPixels?: number;
    approveDifference?: boolean;
}
//# sourceMappingURL=Interface.d.ts.map