import { TestImageProps } from "./Interface";
/**
 * Get URL of reference image.
 *
 * Uses resolver set by [[setReferenceImageResolver]], by default, use
 * [[defaultReferenceImageResolver]].
 */
export declare function getReferenceImageUrl(imageProps: TestImageProps): string;
/**
 * Default reference image resolver URL of reference image.
 *
 * Relative to `baseUrl` of test runner page, which is usually `test/rendering.html`,
 * so relative to `mapsdk/test`.
 */
export declare function defaultReferenceImageResolver(imageProps: TestImageProps): string;
export declare function setReferenceImageResolver(resolver: (imageProps: TestImageProps) => string): void;
export declare function getOverride(name: string, defaultValue: string): string;
//# sourceMappingURL=ReferenceImageLocator.d.ts.map