import * as express from "express";
export declare function postIbctFeedback(req: express.Request, res: express.Response): Promise<void>;
export declare function getIbctReport(req: express.Request, res: express.Response): Promise<void>;
export declare function getReferenceImage(req: express.Request, res: express.Response): void;
/**
 * Install RenderingTestResultServer in `express.Router`.
 *
 * Example usage i.e `webpack-dev-server` configuration in `webpack.config.js`:
 *
 *     devServer: {
 *       before: function(app) {
 *         require('ts-node/register'); // so we can load typescript seamlessly
 *         const RenderingTestResultServer = require(
 *          "coresdk/@here/harp-test-utils/lib/rendering/RenderingTestResultServer"
 *         );
 *         RenderingTestResultServer.installMiddleware(app);
 *       }
 *     }
 */
export declare function installMiddleware(app: express.Router, basePath: string): void;
export declare function expressMiddleware(req: express.Request, res: express.Response, next: express.NextFunction): any;
/**
 * Default export is `express` middleware function.
 *
 * Usage
 * ```
 * import RenderTestResultServer from "..."
 * app.use(RenderTestResultServer);
 * ```
 */
export default expressMiddleware;
/**
 * Start `RenderingTestResultServer` as simple, standalone HTTP server which
 * * supports /ibct-feedback endpoint
 * * servers files from `process.cwd()`
 */
export declare function startStandaloneServer(host: string, port: number): void;
//# sourceMappingURL=RenderingTestResultServer.d.ts.map